<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="owner" select="'SIU-Mapuche'"/>
	<xsl:output method="html" encoding="iso-8859-1" indent="no"/>

	<xsl:template match="acreditacion_bancos"> 
		ini_set('max_execution_time','0');		 
		$salida = '';		  
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="datos_adicionales">
		$version = '<xsl:value-of select="version"/>';	
	</xsl:template>

	<xsl:template match="datos_acreditacion">	
		$liqui	= '<xsl:value-of select="nroliquidacion"/>';	
		$envio	= '<xsl:value-of select="envio"/>';	
	</xsl:template>

	<xsl:template match="datos_institucion">
		$CUIT = '<xsl:value-of select="CUIT"/>';
	</xsl:template>

	<xsl:template match="datos">	
		$salida = '';			
		<xsl:for-each select="agente">
		//cero
		$salida.= '0;';

		//Nombre y apellido del agente:  total son 15 caracteres completados con blancos a derecha
			//$salida .= str_pad("<xsl:value-of select="agente"/>", 15, ' ', STR_PAD_RIGHT);
			$salida .= substr(str_pad("<xsl:value-of select="agente"/>", 15, ' ', STR_PAD_RIGHT),0,15);
			$salida.= ';';

		//CUIL:  11 caracteres en total completados con 0 a izquierda. 
			$salida .= str_pad(<xsl:value-of select="nro_cuil1"/>, 2, '0', STR_PAD_LEFT) . str_pad(<xsl:value-of select="nro_cuil"/>, 8, '0', STR_PAD_LEFT) . str_pad(<xsl:value-of select="nro_cuil2"/>, 1, '0', STR_PAD_LEFT);
			$salida.= ';';

		//Código Sucursal Bancaria: numérico de 4, se completa con ceros adelante  
			$salida .= str_pad('<xsl:value-of select="codn_sucurursal"/>', 4, '0', STR_PAD_LEFT);
			$salida.= ';';

		//tipo
		//$salida.= '3;';
		//Tipo de Cuenta: 2 caracteres
			$tipocuenta = str_pad('<xsl:value-of select="tipo_cuenta"/>', 2, ' ', STR_PAD_LEFT);
			if ($tipocuenta == 'AC') {
			$tcuenta = '3;';
			} else {
			$tcuenta = '2;';
			}
			$salida.= $tcuenta;

		//Nro de Cuenta Bancaria: numérico 10, se completa con ceros a izquierda 
			$salida .= str_pad('<xsl:value-of select="nro_cuenta"/>', 10, '0', STR_PAD_LEFT);
			$salida.= ';';

		//Importe Neto a Acreditar: 14 caracteres completados con 0 a izquierda, los dos últimos caracteres se utilizan para los decimales.			
			$salida .= str_pad('<xsl:value-of select="montoacreditado"/>', 14, '0',STR_PAD_LEFT);
			$salida .= "\r\n";
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>